Или по-точно – решение на проблема 🙂

Последно когато опитвах да пускам под Убунту 9.10 версията на hamachi достъпна за сваляне от http://files.hamachi.cc/linux/, не искаше да работи и изкарваше съобщение за грешка „Sgmentation Fault“.

Този проблем може да бъде оправен много лесно, тъй като се дължи на факта че изпълнимият файл на hamachi е компресиран с UPX, и явно в Ubuntu 9.10 има някакъв проблем с използваната версия на UPX.

За целта просто трябва да си инсталирате пакета upx-ucl и да разкомпресирате изпълнимия файл на hamachi. Това става с командите:

sudo apt-get install upx-ucl
cd /usr/bin
sudo upx -d hamachi

Или може да си инсталирате последната версия на програмата ми hamachi-setup от хранилището ни, и да изберете „(Ре) Инсталиране“.

APT реда на хранилището ни е

deb http://learnfree.eu/download/ubuntu-packages / #SKSS

Ако  не помните как се добавяха хранилища, по-добре си припомнете от Инсталиране/премахване/актуализиране на софтуер в Убунту с помощта на Synaptic